#!/usr/bin/env perl

#  need this in order to work around a <regexp.c> bug,
#  failure matching on long strings. This should in principle
#  be done in zoem itself.

$none = 0;
open (IN, "<buzzz.html") || eval '$none = 1;';
# how did I dream up this idiotic idiom ??
$/ = undef;
if ($none) {
   exit(0);
}
$content = <IN>;
if ($content =~ /<body>([\s\S]*)<\/body>/) {
   print $1, "\n";
} else {
   print "failed inclusion\n";
   print $content;
   exit(1);
}

